Jump to content
Sign in to follow this  
tashi

arma steam buy

Recommended Posts

Hi all

I like to buy arma over steam. I hear there are problems with the steam version to patch the game. Is this still a current problem?

Greetings

Tashi

Share this post


Link to post
Share on other sites

I don't have ArmA on Steam. But from what I've read, it's still on version 1.08, and the patches haven't been made available for the Steam client. Also from what I've read about this, the problem is on Atari's end as they just haven't given the proper attention to the patching issue.

Share this post


Link to post
Share on other sites

Steam version is fine. Easy to patch, easy to save and use other places. I use Metaboli, and i have Steam. If you already have a Steam/account, then go for it. It will patch up just like any ARMA , you may have to point to it for patches, and you can copy/paste Betas and addons in to its folder:

?:\Steam\steamapps\common\arma armed assault

Share this post


Link to post
Share on other sites
It doesn't show up in my Steam Client.

I didn't think ArmA was available on Steam.

P

Its called "COMBAT OPERATIONS" its from Atari, its on Steam.

Share this post


Link to post
Share on other sites

I believe it may well only be available on steam in the USA, perhaps someone can confirm or deny this?

Share this post


Link to post
Share on other sites

Unless it has changed since the last time I checked, it is US only. I believe that was the original intention of Atari and they had no plans to change it.

Share this post


Link to post
Share on other sites

I'm pretty sure it's US Only on steam, one problem that my friends have told me about it is the fact that it isn't in the usual C:\Program Files\Atari\ArmA or C:\Program Files\Bohemia Interactive\ArmA. Throws them off sometimes.

Share this post


Link to post
Share on other sites

I recently purchased it off steam, It was pita because I expected it to be the most up to date versions which it was not. I diddnt realize that so I had all kinds of problems trying to run mods, play multiplayer ect. I know it was stupid, but also easy to over look as you would expect steam to have a lateset version.

If anyone is thinking of getting steam this will make it a ton easier--

Steam gives ArmA 1.08 ---> patch 1.14 full ---> patch 1.15 beta (if desired)

Ace 1.05 full -----> Ace1.06 ----> ACIEP (if desired)

Share this post


Link to post
Share on other sites

Don't complain.... I've bought Czech version 1.00.... image how many patches I have to make if Ill do a reinstall :D

Share this post


Link to post
Share on other sites
I recently purchased it off steam, It was pita because I expected it to be the most up to date versions which it was not. I diddnt realize that so I had all kinds of problems trying to run mods, play multiplayer ect. I know it was stupid, but also easy to over look as you would expect steam to have a lateset version.

If anyone is thinking of getting steam this will make it a ton easier--

Steam gives ArmA 1.08 ---> patch 1.14 full ---> patch 1.15 beta (if desired)

Ace 1.05 full -----> Ace1.06 ----> ACIEP (if desired)

There isnt even a Disk you can buy with more than 1.08, not sure any DL is more than 1.08. well maybe Sprocket. And as for Steam its NOT Steams fault, Its Atari's issue.

Share this post


Link to post
Share on other sites
There isnt even a Disk you can buy with more than 1.08, not sure any DL is more than 1.08. well maybe Sprocket. And as for Steam its NOT Steams fault, Its Atari's issue.

Yeah, it's an Atari thing. Direct 2 Drive is version 1.06 I believe.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×